2021-01-06 (0.8.10)  Robin Gareus <robin@gareus.org>
* add keyboard shortcuts for +/- 1 second offsets
* tweak Windows installer 32/64bit reg-keys
* fix Linux gcc10 builds
* add support for macOS BigSur and Apple/ARM

2018-11-30 (0.8.9)  Robin Gareus <robin@gareus.org>
* prefer -pthread over -lpthread, fixes #18
* mainly a build-system, binary only update

2018-06-06 (0.8.8)  Robin Gareus <robin@gareus.org>
* use PortMidi default device (allow using portmidisetup)
* fix loading fonts with non ASCII paths on Windows
* allow verbose/debug logging on windows

2016-11-28 (0.8.7)  Robin Gareus <robin@gareus.org>
* fix release builds (mistake in 0.8.6)

2016-11-28 (0.8.6)  Robin Gareus <robin@gareus.org>
* explicitly request single-screen fullscreen on OSX
* weak-link against libjack (binaries)
* add NetBSD support

2015-11-26 (0.8.5)  Robin Gareus <robin@gareus.org>
* release openGL context
* add compatibility for ffmpeg-2.9
* allow to compile on OSX/10.11

2015-09-09 (0.8.4)  Robin Gareus <robin@gareus.org>
* drop jack requirement for OSX

2015-09-09 (0.8.3)  Robin Gareus <robin@gareus.org>
* defined LARGEFILE64 for huge videos
* fix OSX openGL init (El Capitan support)

2015-06-24 (0.8.2)  Robin Gareus <robin@gareus.org>
* fix CPU-hog after end of video
* fix compilation with gcc5
* fix typos in manaul
* various build-system updates (OSX, win)

2014-11-23 (0.8.1)  Robin Gareus <robin@gareus.org>
* fix OSX remote-control threading
* X11 file open dialog
* add recently-used files list
* show splash screen when no file is open
* various typo fixes

2014-08-22 (0.8.0)  Robin Gareus <robin@gareus.org>
* fix various typos
* prepare build-stack for binary releases
* re-add windows on-jack-shutdown handler
* update app icon
* fix some compiler warnings
* request X11-focus after file drag/drop.

2014-08-15 (0.8.0-rc3)  Robin Gareus <robin@gareus.org>
* embed font-file in Linux statically linked binaries
* improve overall consistency, interaction and display:
 - add "Offset" menu to document all keyboard shortcuts
 - "Close Video" menu entry
 - dedicated VTC OSD as alternative to frame-number
 - remove 'q' quit shortcut (use Esc or Ctrl-Q)
 - darker 'cross' for RGB[A] display (was already grey for YUV)
* improve OSD text and optimize OSD re-exposure
* Add File Time and Geometry Info OSD
* update icons and splash image
* fix various typos
* re-use color-eq bars for progress-bar.
* new example/test video
* update xjadeorc documentation

2014-07-31 (0.8.0-rc2)  Robin Gareus <robin@gareus.org>
* update usage() help text
* add --osc-doc option
* rearrange remote-control commands and improve their doc.
* re-do website and documentation
* amend seek-index, create table for PTS
* disable screensaver
* overhaul windows UI (threading, draw while resize, fullscreen screen)
* proper monospace for timecode + framenumber OSD
* complete migration to 64 bit timecode
* enable letterbox by default
* update expose strategy and OSD + splash rendering

2014-07-27 (0.8.0-rc1)  Robin Gareus <robin@gareus.org>
* v0.8 pre-release
* add openGL display (Linux, Win32, OSX)
* fix RGBA32 (imlib2, openGL) blank frame alpha.
* weak linking against jack (windows, OSX)
* OSX: don't connect to jack by default.
* support XDG_CONFIG_HOME
* remove deprecated qjadeo import (xjinfo/mencoder) -> use ffmpeg
* remove LASH support (use jack-session)
* remove support for ancient ffmpeg < 0.5
* change -J semantics: don't connect to and later (remote) don't autostart jack
* major cleanup of accumulated cruft.
* rework fps detection (new ffmpeg API)
* remove custom debian package -> use debian's *real* package.
* fix memleak when connecting jack-midi ports
* add override for sync and file changes (OSX menu, X11 DnD)
* fix X11/GLX drag-drop
* built-in X11/GLX context-menu
* disable left/right mouse button scaling.
* allow to start xjadeo without file (use DnD or Menu to load)
* update seek-mechanism: create seek index table
* remove -k option (no more seek-modes!) all indexed
* -K option changed to specify max-continuous-keyframe limit.
* add native windows application support (openGL) and context-menu
* decrease max possible OSD font-size (to accommodate messages)

2014-07-13 (0.7.8)  Robin Gareus <robin@gareus.org>
* document -J option in --help
* SDL window-position and on-top functionality
(now SDL is compatible to xv and x11 video backends)
* built script updates for statically linked binaries:
 - dynamically link to libX11/libxcb
 - add statically linked SDL (in case XVideo is n/a)
 - add fallback to imlib2/x11 output in case no hardware
   acceleration is available

2014-06-06 (0.7.7)  Robin Gareus <robin@gareus.org>
* add -J option (don't connect to jackd by default)
* fix registry key for windows installer
* updates for libav
* Fix hardening for qjadeo, passed CPPFLAGS and LDFLAGS to qmake. (from mira)
* Misspelling patch (also by Jaromír Mikeš)

2013-08-08 (0.7.6)  Robin Gareus <robin@gareus.org>
* fix DAR, SAR aspect ratio and odd-number of lines
* detect jack-latency API independently from jack-sessio
* fix some compiler warnings & work-around undocumented libav API change

2013-07-25 (0.7.5)  Robin Gareus <robin@gareus.org>
* fix UYVY422 colorspace (OSX default) stride
* xjinfo - fix segfault if invalid file-name is given

2013-06-27 (0.7.4)  Robin Gareus <robin@gareus.org>
* fix for XVideo, YUV - force even number of pixels per line
* OSX build w/header-pad for dynamic libs.

2013-06-16 (0.7.3)  Robin Gareus <robin@gareus.org>
* propagate unhandled keyboard events to remote ctrl
* Add Czech translation by Pavel Fric
* add missing remote.h source
* fix windows installer
* tentative seek-to-frame workarounds for OSX m4v.

2013-06-09 (0.7.2)  Robin Gareus <robin@gareus.org>
* rework X11 keyboard events (use xkeymap)
* allow to forward keyboard events via remote-control
* request settings-dump on exit (via remote-ctrl)

2013-05-31 (0.7.1)  Robin Gareus <robin@gareus.org>
* fix OSD font-spacing
* add -T option to set OSD font
* fix 32/64bit issue in xjinfo, allow to hardedn qjadeo
* deprecated qjadeo GUI and xjinfo (use ffprobe instead)
  explicit --enable-qt-gui is requred to build either.
* prepare moving repo & issue-tracker to github.
* fix LTC jack-latency compensation
* fix LTC 32 bit wrap-around (i386 only)
* various build-system updates

2013-04-07 (0.7.0)  Robin Gareus <robin@gareus.org>
* fixes for clang/llvm compiler
* SMPTE on-screen-display ignore offset
* use libltc; deprecate libltcsmpte support
* reset aspect-ratio when opening a new file
* add /jadeo/cmd OSC command - full remote control
* fix OSC concurrency problems.
* graceful jack shutdown handling
* reverse scroll-wheel zoom direction

2012-05-14 (0.6.4)  Robin Gareus <robin@gareus.org>
* pixel and display aspect ratio corrections done during rendering

2012-04-15 (0.6.3)  Robin Gareus <robin@gareus.org>
* update to new ffmpeg API
* fixed some compiler warnings.

2011-09-26 (0.6.2)  Robin Gareus <robin@gareus.org>
* updated French translation Raphael Doursenaud)
* fixed issue with remote-ctrl closing filedes on fork.

2011-07-13 (0.6.1)  Robin Gareus <robin@gareus.org>
* added qjadeo translations - thanks to Alexandre Prokoudine
* JACK-Session support.
* LTC+JACK - new jack latency API

2011-07-03 (0.6.0)  Robin Gareus <robin@gareus.org>
* Changes since 0.6.0-rc7:
  - fixed LTC parsing for other than 25fps
  - splash screen update (fixed duration)
  - added greek translation by Michales Michaloudes.
  - ffmpeg compat
  - build system updates (require libX, git version detection..)
  - version 0.6.0
* Changes since 0.4.X:
  - rewritten/updated manual
  - win32 support
  - qjadeo QT3 -> QT4
  - added LTC sync source
  - disabled LASH (by default)
    soon to be removed in favor of JACK-Session
  - various autoconf updates
  - interaction overrides and remote-control features
    for ardour integration

2010-11-21 (0.6.0~rc7)  Robin Gareus <robin@gareus.org>
* release candidate v0.6 ... see git changelog

2010-11-12 (0.6.0~rc6)  Robin Gareus <robin@gareus.org>
* release candidate v0.6 ... see git changelog

2010-11-12 (0.6.0~rc5)  Robin Gareus <robin@gareus.org>
* release candidate v0.6 ... see git changelog

2010-11-11 (0.6.0~rc4)  Robin Gareus <robin@gareus.org>
* release candidate v0.6 ... see git changelog

2010-11-10 (0.6.0~rc3)  Robin Gareus <robin@gareus.org>
* release candidate v0.6 ... see git changelog

2010-11-10 (0.6.0~rc2)  Robin Gareus <robin@gareus.org>
* release candidate v0.6 ... see git changelog

2010-10-03 (0.6.0~rc1)  Robin Gareus <robin@gareus.org>
* release candidate v0.6
  detailed changelog will be included here with 0.6.0

2010-10-01 (0.5.99)  Robin Gareus <robin@gareus.org>
* discard 0.5-branch (xj-five) opengl/vblank/shmem experiments

2010-08-03 (0.4.13)  Robin Gareus <robin@gareus.org>
* made portmidi optional - Thanks to Alex Stone.
* added 'mididriver' config-file option
* qjadeo - MTC menu: ALSA/JACK
* qjadeo - added OSD box toggle
* fixed remote-ctrl frame notification
* use ffmpeg fps ratio calculation functions
* fixed some spelling errors & text clarifications

2010-07-25 (0.4.12)  Robin Gareus <robin@gareus.org>
* allow to select midi-driver on runtime (JACK-MIDI, ALSA-sequencer,
  portmidi, ALSA-raw-midi).
* fixed rounding error for non-integer framerates in the
  remote-ctrl SMPTE-text parser.
  (xjadeo+JACK or MTC is not affected; it's only relevant
  when useing 'seek <integer>' instead of 'seek SMPTE'
* fixed unresponsive "Preferences" Alert message (OSX)
* added JACK-Midi to menu (OSX)

2010-07-15 (0.4.11)  Robin Gareus <robin@gareus.org>
* new defaults (update-fps = filefps, MTC-quater-frame: on)
* added System-V IPC remote ctrl mode (for OSX)
* add xjremote to OSX bundle
* many small remote-ctl extensions for ardour3 integration
* added JACK-MIDI for MTC

2010-05-23 (0.4.10)  Robin Gareus <robin@gareus.org>
* implemented file drop-frame timecode detection

2010-02-08 (0.4.9)  Robin Gareus <robin@gareus.org>
* re-implemented start-time parsing
* re-added contrib folder to dist

2010-02-05 (0.4.8)  Robin Gareus <robin@gareus.org>
* fixed parsing video-start offset for m2v files

2009-04-04 (0.4.7)  Robin Gareus <robin@gareus.org>
* added basic OSC control support
* cleaned up configure.ac - ffmpeg-header include files
* framecropping (for sahra's installation)

2009-02-02 (0.4.6)  Robin Gareus <robin@gareus.org>
* updated URLs in doc
* minor fixes for ffmpeg API changes

2008-07-28 (0.4.5)  Robin Gareus <robin@gareus.org>
* xjadeo now leaves XV-colorkey untouched.
* changed include paths for ffmpeg.
* fixed a compiler warnings for gcc-4.3.1

2008-04-01 (0.4.4)  Robin Gareus <robin@gareus.org>
* updates for ffmpeg-svn compat (ffmpeg-svn 12642,12665)

2008-03-20 (0.4.3)  Robin Gareus <robin@gareus.org>
* fixed backwards compat ffmpeg  w/o swscale
* fixed segfault using remote-mode w/o video-file (swscale)

2007-09-12 (0.4.2)  Robin Gareus <robin@gareus.org>
* added -s --fullscreen command line option
* removed SDL video mode
* obsoleted imlib1
* fixed automake variable substitution
* added ffmpeg swscale support

2007-05-07 (0.4.1)  Robin Gareus <robin@gareus.org>
* default black-YUV frame
* minor updates in the manual.
* preparing for 0.5 development branch.
* fixed contrib configure bug.

2007-02-23 (0.4.0)  Robin Gareus <robin@gareus.org>
* added call to jack_activate
* fixed segfault when movie is smaller than splashscreen (neg. x-offset)
* disabled splash-screen when it's larger than current movie anyway.
* added POSIX sys includes
* added -lavutil -lmp3lame to auto-detected ffmpeg configuration.
* disabled PPC duration workaround (only ffmpeg-0.4.9 - LIBAVFORMAT_BUILD 4616)
* merged-in French qjadeo translation - thanks to R. Doursenaud
* fixed av_q2d for LIBAVFORMAT_BUILD <= 4623

2006-12-02 (0.4.0~rc3)  Robin Gareus <robin@gareus.org>
* fixed fontfile=<file> config option
* fixed build --enable-contrib --enable-midi=off

2006-12-01 (0.4.0~rc2)  Robin Gareus <robin@gareus.org>
* fixed version to comply with RPM '-' -> '.' -> 0.4.0.rc2
* added contrib/tsmm - time stamp movie maker
* added autogen.sh to debian/rules

2006-11-30 (0.4.0~rc1)  Robin Gareus <robin@gareus.org>
* bump version to 0.4.0-rc1

2006-11-30 (0.3.29-3)  Robin Gareus <robin@gareus.org>
* qjadeo - round update fps
* xjadeo remote commands
  - 'window size' -> 'window resize'
  - 'window fixaspect' -> RMB

2006-11-30 (0.3.29-2)  Robin Gareus <robin@gareus.org>
* debian control imlib2-dev -> libimlib2-dev
* xjadeo new remote command
  - 'window mouse [on|off|toggle]'

2006-11-29 (0.3.29-1)  Robin Gareus <robin@gareus.org>
* updated xjinfo + dtd
  - rational values
  - added sample aspect ratio
  - updated information fields  (title,author,..)
  - xml-version 0.2

2006-11-28 (0.3.29)  Robin Gareus <robin@gareus.org>
* qjadeo disable frame notification on disconnect,
  terminate xjadeo when disconnecting.
* xjadeo remote commands: 'notify off' alias for 'notify disable'
  'exit' - print warning that xjadeo is not xjremote
* fixed contrib build
* added xml-preamble and DOCTYPE to xjinfo

2006-11-27 (0.3.28)  Robin Gareus <robin@gareus.org>
* fixed typos
* begin to clean up source tree for 0.4
* removed pts/dts calc for ffmpeg_seek LIBAVFORMAT_BUILD < 4617
* new seek code only for AVFORMAT_BUILD > 2629
* missing manual page xjinfo.1

2006-11-27  x42  <robin@gareus.org>
 *** CHANGELOG STYLE CHANGE ***
 git log is the preferred method.

2006-11-25  x42  <robin@gareus.org>
 - manual and xjadeorc typo
 - xjadeo usage() and cosmetic code changes
 - preliminary jack_position_t->audio_frames_per_video_frame
   support.

2006-11-24  x42  <robin@gareus.org>
 - splash screen + config option
 - '-A' --avverbose : print ffmpeg messages.
 - spec.in updated.
 - install icons and menu entry
 - mpeg dts/pts timestamps
 - --genpts, -P (ffmpeg option)
 - --ignorefileoffset, -I for splitted avi/vob files.
 * version v0.3.27

2006-11-22  x42  <robin@gareus.org>
 - XV (hardware) color eq
 - imlib2 (software) color eq
 - OSD improvements
 - changed qjadeo environement variable from XJADEO to XJREMOTE.
 - reduced xjremote timeout 5sec -> 0.5 sec
 - qjadeo extra mencoder options
 * version v0.3.26

2006-11-21  x42  <robin@gareus.org>
 - fixed xjremote, xjadeo path detection.
 - xjinfo version '-V'

2006-11-21  x42  <robin@gareus.org>
 - xjinfo
 - fixed BINDIR, SYSCFGFIR '/' suffix
 - qtjadeo file-info via xjinfo
 - version via svnversion
 - qjadeo icons + seek menu
 * version v0.3.24

2006-11-20  x42  <robin@gareus.org>
 - qt-gui removed debug, added QMessageBoxes,
   qjadeo preferences dialog update.
 - xjadeo: 'l' key to toggle letterbox
 - letterbox mode for imlib2
 - xjadeo DnD fix
 * version v0.3.23

2006-11-19  x42  <robin@gareus.org>
 - qt-gui improvements (mencoder dialog, prefs)

2006-11-18  x42  <robin@gareus.org>
 - LASH remember window position
 - key bindings to scale video output

2006-11-17  x42  <robin@gareus.org>
 - change between all window modes:
   x11+imlib re-init/retain
 - added keystrokes to control OSD and offset
 * version v0.3.22

2006-11-16  x42  <robin@gareus.org>
 - properly convert escaped DnD text
 - portmidi quarter frames support

2006-11-15  x42  <robin@gareus.org>
 - SMPTE / MIDI TC drop frames code
 - alsa-midi: parse quarter frames (-C)
 - added midi options to cfgfile
 - removed command 'midi autoconnect'  and added 'midi reconnect'
 - crudly convert '%20' to whitespaces when receiving drag data.
 - added '-P' --noping option to xjremote.

2006-11-14  rgareus  <robin@gareus.org>
 - preparing for proper midi+smpte conversion.
 - added debian files to SVN.

2006-11-14  rgareus  <robin@gareus.org>
 - qjadeo
   - sync-menu radio buttons
   - position slider (sync off mode)
   - query xjadeo settings (OSD, sync) on startup
   - renamed fullscreen -> maximize
 - xjadeo: get osdcfg, get syncsource remote commands
 - Xv letterbox (-b, --leterbox, "window letterbox [on|off]")
 - use file-fps as delay when (0 >= delay )
 * version v0.3.21

2006-11-13  rgareus  <robin@gareus.org>
 - fixed drag/drop accept area.
 - catch signals + clean up

2006-11-13  rgareus  <robin@gareus.org>
 - `ffmpeg-config` and other configure.ac updates.
 - lash=[yes|no] and mq=[yes|no] config file options.
 - a little more documentation.
 * version v0.3.20

2006-11-12  rgareus  <robin@gareus.org>
 - moved icons
 - completed lash support
 - unlink stale message queues
 - added x86_64*) ARCH=amd64 ;; (thanks to Detlef Reichelt & the PackMan-Team)
 - created xjremote man page.
 - message queues option becomes -Q
 - unlink option for xjremote

2006-11-11  rgareus  <robin@gareus.org>
 - implemented message queues: xjremote!
 - 'remote=yes|no' config file option
 - -L, --nolash
 - more variables stored in lash config.
 - preliminary qjadeo patch -> xjremote.

2006-11-10  rgareus  <robin@gareus.org>
 - icon
 - fixed qt BINDIR define (again)
 - prepared remote stdio replacement: mqueues
   prereq. for proper lash + gui

2006-11-09  rgareus  <robin@gareus.org>
 - display_x11 cleanup part one.
 - docs description update
 - seek timeout.
 - re-indented sources (!)

2006-11-09  rgareus  <robin@gareus.org>
 - on LASH resume -> ignore '-R' remote-mode
 - imlib2 - RGB24+RGBA32
 - dropped gdk/gtk
 - revamped configure.ac
 - fixed continuous seeking (was in debug mode)

2006-11-07  rgareus  <robin@gareus.org>
 - preliminary LASH support - so far only command line args.
 - preliminary Xv/x11 dnd

2006-11-06  rgareus  <robin@gareus.org>
 - imlib2 support

2006-11-05  rgareus  <robin@gareus.org>
 - added support for LIBAVCODEC_BUILD 4646 (ffmpeg-0.4.9-pre1)
   old seek code.

2006-11-04  rgareus  <robin@gareus.org>
 - changed default seek behaviour to SEEK_ANY
   -k -> seek only to keyframes
   -K -> continuously decode all frames (starting @ keyframe)
 - config-file option seek=any|key|cont
 - removed hardcoded list of font files.

2006-10-28  rgareus  <robin@gareus.org>
 - made -V a little more verbose. and -q a little more quiet :D

2006-10-28  rgareus  <robin@gareus.org>
 - changed audioframe -> videoframe conversion back to floor()
 - updated framerate detection.
 - re-indented seek code. and changed -K, -k behaviour (no continuous seeks)
 - fixed ffmpeg packet allocation
 - XV-videomode only:
   - added always on top feature. ( '-a' ; press 'a' on widow ; no remote command for that yet)
   - added support to hide [mouse] cursor  (press 'm' )

2006-08-27  rgareus  <robin@gareus.org>
 - added simple Extended Window Manager Hints(EWMH) fullscreen support for XV videomode.

2006-08-12  rgareus  <robin@gareus.org>
 - av_q2d - fix to compile with older
 ffmpeg before LIBAVCODEC_BUILD 4753

2006-06-25  rgareus  <robin@gareus.org>
 - updated debian-marillat to debian-multimedia in doc

2006-06-16  rgareus  <robin@gareus.org>
 - updated contrib README and encode.sh

2006-06-13  rgareus  <robin@gareus.org>
 - added jadio to contrib folder.

2006-06-12  rgareus  <robin@gareus.org>
 - smpte support for non-integer fps
 - '-F <float>' allow to override fps info of file
 - '-K' -> 'old' seek to any frame mode
 - messed up avseek - added support for multi-packet frames.
   urgent TODO: remove all the nasty goto's from the initial example code :-X
   now that seeking is 'known to work' rewrite the whole darn thing and fix
   the dts/pts issues.
   This release is better than the version from June 06 as it fixes a
   possible endless (until EOF) frame seek issue...

2006-06-06  rgareus  <robin@gareus.org>
 - when seeking to non key frames,
   the video can be decoded starting from the prev keyframe.
 - removed LIBAVCODEC < 4622 backwards seek compat.
 - new valid seekmodes (remote ctrl) are 'key', 'any' and 'continuous' (default).
 - OSD Frame is now the displayed frame, while the SMPTE still corresponds to jack time.
 - XV,SDL (YUV): added support for video image strides other than XV pitches.
   eg. if video width is not a multiple of 8 -  prev. versions of xjadeo either crash, or display wrong colors...
 * version v0.3.13

2006-05-30  rgareus  <robin@gareus.org>
 - proper YV12 and I420 support for XV.
 - SDL 1.2.9 or 1.1.6

2006-05-24  rgareus  <robin@gareus.org>
 - added simple resource config parser.

2006-05-21  rgareus  <robin@gareus.org>
 - minor fixes on the build environement for `make dist` (contrib, qt-gui sources, ..)
 - fixed some typos in yesterdays Makefile.am
 - never ending overkilling docbook
 * version v0.3.12

2006-05-20  rgareus  <robin@gareus.org>
 - added docbook xslt and doc/Makefile...
 - work in progres on the manual.
 - changed Audioframe to videoframe, smpte converstion from floor to rint
   transport increments in steps of audiobuffer-size so we get
   proper results as audiobuffer-size != 1920 (48k->PAL) or 1601 (48k->NTSC)

2006-04-28  rgareus  <robin@gareus.org>
 - fixed typo: since the 04/23 patches
   xjadeo was displaying the previous instead of the current frame!

2006-27-09  Luis Garrido  <luisgarrido@users.sourceforge.net>
 - Added OSD font, frame and smpte commands to qjadeo menu.
 - OSD font is stored as a qjadeo preference.
 - Some docbook fixing.
 - Revamped qjadeo layout.

2006-04-23  rgareus  <robin@gareus.org>
 - some remote function help typos
 - parsing videomode integer and text
 - notify [loop|frame]
 - more work in progress documentation.
 * version v0.3.11

2006-04-22  rgareus  <robin@gareus.org>
 - added contrib folder
 - implememted 'list videomodes'
 - disabled 'get windowpos'
 - configure.ac: added contrib/cli-remote/Makefile to AC_CONFIG_FILES
   Note: contrib will not be built as it is not a subdir in Makefile.am
 - remote command return status now identifies physical units.
   added doc to the source: remote.c
 - changed return value of some xapi function.
   only MINOR numbers have been changed (rv: = MAJOR*100 + MINOR)
 * xjadeo v0.3.10

2006-04-17  rgareus  <robin@gareus.org>
 - amidi seqencer instead of alsa rawmidi
 - remote cmd midi status fixed.
 - cmd arg. added "-x list" as alias for "-x -1"

2006-04-16  rgareus  <robin@gareus.org>
 - configure.ac: --disable-portmidi -> 'force to' use alsamidi if avaliable
 - midi.c: added MTC sysex parser for alsamidi.
 - main.c: xjadeo new command line option -i <OSD-mode>, --info <OSD-mode>
 - xjadeo: fixed -t option. (exit instead of segfault when file not found :)
 * xjadeo v0.3.9

2006-04-11  rgareus  <robin@gareus.org>
 many minor typos and fixes.
 fixed midi autodetection in configure.ac
 added alsa midi support as fallback if portmidi is not found
 * xjadeo v0.3.8

2006-04-11  rgareus  <robin@gareus.org>
 * configure.ac: renamed options for consistancy.
   new defaults: autodetect all feat. only gtk is disabled by default
   added -DTTFFONTFILE comment. no configure option yet.
 * xjadeo:
 - --vo [<int>|<name>]. also swapped --vo option numbering.. for:
 - fallback video mode auto detection.
 - implemented rudimentary keyboard event support (for all display modes)
 - <ESC> key quits xjadeo (all display modes)
 - --midifps [MTC|Video|resample] option and 'get/set midisync' remote cmd.
 - initialize midi just before event loop -> prevent midi buffer overflow
 - added alsamidi code. (works but not integrated in xjadeo & build system)
 - xapi 'get/set seekmode': seek to keyframes only.
 - minor fixes.

2006-04-09  Luis Garrido  <luisgarrido@users.sourceforge.net>
 - configure.ac: fixed Qt autoconf test so Qt4 debug lib is not required.
 - src/qt-gui/Makefile.am: fixed typo.

2006-04-08  Luis Garrido  <luisgarrido@users.sourceforge.net>
 - Fixed qjadeo makefile so the qt4 compilation keeps a backup of the qt3
 version.

2006-04-08  Luis Garrido  <luisgarrido@users.sourceforge.net>
 - Fixed broken autogen.sh (after removal of m4 subdir)
 - Fixed --disable-qtgui option.

2006-04-08  Luis Garrido  <luisgarrido@users.sourceforge.net>
 - Autotoolification of qjadeo for Qt4. Now qjadeo takes the xjadeo binary
 from the environment variable XJADEO or from the install path.

2006-04-08  rgareus  <robin@gareus.org>
 split xjadeo.c -> main.c remote.c - and loads of extern's :(
 xjadeo v0.3.7

2006-04-07  rgareus  <robin@gareus.org>
 fixed b0rken XV (typo in display.c)
 added smpte parser and output (via remote and OSD)
 added MTC-fps to video-fps conversion code.

2006-04-07  rgareus  <robin@gareus.org>
 splitted the display.c into sdl, gtk and X11 source files
 quick fixed configure.ac (qmake on debian)

2006-04-07  rgareus  <robin@gareus.org>
 fixed HAVE_GTK and HAVE_SDL #defines in display.c

2006-04-06  Luis Garrido  <luisgarrido@users.sourceforge.net>
 - Autotoolification of qjadeo for Qt3. Info taken from qjackctl and
 http://www.8ung.at/leising/autoconf/qt_qmake_autoconf_automake2.html

2006-04-06  Luis Garrido  <luisgarrido@users.sourceforge.net>
 - Implementation of the maintainer-clean target.

2006-04-06  Luis Garrido  <luisgarrido@users.sourceforge.net>
 - Reorganization of source tree.

2005-11-07  Luis Garrido  <luisgarrido@users.sourceforge.net>
 - Fixed avseekflags for compatibility with LIBAVFORMAT_BUILD <= 4622. Thanks to
 Geoff Beasley for his cooperation.

2005-11-03  Luis Garrido  <luisgarrido@users.sourceforge.net>
 - Edited NEWS, xjadeo.1, README

2005-11-03  rgareus  <robin@gareus.org>
 - dynamic jack name. allowing multiple instances of xjadeo

2005-10-31  rgareus  <robin@gareus.org>
 - added -o --offset time offset. in video-frames

2005-10-30  rgareus  <robin@gareus.org>
 - new build environement, that checks dep. libraries.
 - parse command line options
 - fixes to work with newer Version of libffmpeg.
 * xjadeo v0.1.1

2005-02-02  luis
 * xjadeo v0.1.0
